import {formTypes} from "../../../../model/enum";
import {toast} from "../../../../utils/utils";
import Route from "../../../../model/route";

Component({
    properties: {
        show: Boolean
    },
    data: {},
    methods: {
        toPublishNeeds(e) {
            Route.toCommunityForm(formTypes.NEEDS, "", "", "", {
                publish: (res) => {
                    this.triggerEvent("publish", res)
                }
            })
        },
        toPublishHot(e) {
            Route.toCommunityForm(formTypes.HOT, "", "", "", {
                publish: (res) => {
                    this.triggerEvent("publish", res)
                }
            })
        },
        toPublishCommunity(e) {
            toast('正在建设中...')
        },
        toPublishTypical(e) {
            Route.toCommunityForm(formTypes.TYPICAL, "", "", "", {
                publish: (res) => {
                    this.triggerEvent("publish", res)
                }
            })
        },
        onClickHide(e) {
            this.triggerEvent('close')
        },
    }
})
