import Api from "../../model/api";
import {formatTime} from "../../utils/utils";

const app = getApp();

app.Base({
    data: {},
    async requestData() {
        const res = await Api.getMyMessage({
            pageNum: this.pageNum,
            pageSize: this.pageSize
        });
        res.data.rows.forEach(item => {
            item.createTime = formatTime(item.createTime);
        })
        return res;
    },

})
