import {uploadResTypes} from "../../model/enum";
import {getDataSet, getEventParam} from "../../utils/utils";

Component({
    externalClasses: ['card-bg'],
    properties: {
        res: Object,
    },
    data: {
        uploadResTypesEnum: uploadResTypes
    },
    methods: {
        onTap(e) {
            const res = this.data.res;
            this.triggerEvent('posttap', {
                res
            })
        },
        fullscreenchange(e) {
            let id = getDataSet(e, "id");
            let videoContext = wx.createVideoContext(id, this)
            let fullscreen = getEventParam(e, "fullscreen");
            if (!fullscreen) {
                videoContext.pause()
            } else {
                videoContext.play()
            }
        }
    }
})
