import {uploadResTypes} from "../../../../model/enum";
import {getDataSet, getEventParam} from "../../../../utils/utils";

Component({
    properties: {
        item: Object,
        index: String
    },
    data: {
        uploadResTypesEnum: uploadResTypes
    },
    methods: {
        fullscreenchange(e) {
            let id = getDataSet(e, "id");
            let videoContext = wx.createVideoContext(id, this)
            let fullscreen = getEventParam(e, "fullscreen");
            if (!fullscreen) {
                videoContext.pause()
            } else {
                videoContext.play()
                this.triggerEvent('play')
            }
        }
    }
});
