import Config from "../../model/config";
import Api from "../../model/api";
import {getEventParam, toast} from "../../utils/utils";

Page({

    data: {
        activeName: 0,
        info: {}
    },
    async onLoad(options) {
        const res = await Api.getHelpInfo(Config.APP_ID, true)
        this.setData({
            info: res.data
        })
    },
    onChange(e) {
        this.setData({
            activeName: getEventParam(e),
        });
    },
    async callPhone(e) {
        try {
            await wx.makePhoneCall({
                phoneNumber: this.data.info.appTelephone
            })
        } catch (e) {
            console.log(e)
            toast("拨打电话失败")
        }

    }
})
