import Config from "../../../../model/config";
import {classStatus, htmlTypes} from "../../../../model/enum";
import Route from "../../../../model/route";

Component({
    properties: {},
    data: {
        tabs: [
            {
                title: "往期培训",
                icon: '/images/wqpx.png',
                url: Route.getClassPanelUrl(classStatus.MY_HISTORY)
            },
            {title: "推荐项目", icon: '/images/tjkc.png', url: '/pages/recommand/recommand'},
            {
                title: "使用指南",
                icon: '/images/syzn.png',
                url: Route.getNewsUrl(htmlTypes.HELP, Config.APP_ID, "使用指南", "")
            },
            {title: "帮助中心", icon: '/images/bzzx.png', url: '/pages/help/help'},
            {title: "我的消息", icon: '/images/wdxx.png', url: '/pages/msg/msg'},
            {title: "版本信息", icon: '/images/bbxx.png', url: '/pages/version/version'},
        ]
    },
    methods: {}
})
