import {sexTexts} from "../../model/enum";
import Api from "../../model/api";

const app = getApp();
app.Base({
    data: {
        id: '',
        picUrl: '',
        name: '',
        teamJobName: '',
        phone: '',
        sex: '',
        nationName: '',
        className: '',
        groupName: '',

        sexs: sexTexts
    },
    async onLoad(options) {
        const {picUrl, name, id, teamJobName, phone, sex, nationName, className, groupName, myStuId} = options;
        this.data.id = id;
        this.setData({
            id, picUrl, name, teamJobName, phone,
            sex, nationName, className, groupName, myStuId
        })
    },
    async requestData() {
        let res = await Api.hotelArrange({
            userId: this.data.id,
            pageNum: this.pageNum,
            pageSize: this.pageSize
        });
        return res;
    },
});
