// var log = wx.getRealtimeLogManager ? wx.getRealtimeLogManager() : null;
// if(log) {
//     log = log.tag('trtc-tim');
// }

// module.exports = { 
//   tag(name){
//       if(!log) {
//           return;
//       }
//       return log.tag(name);
//   },  
//   debug() {
//     if (!log) return
//     log.debug.apply(log, arguments)
//   },
//   info() {
//     if (!log) return
//     log.info.apply(log, arguments)
//   },
//   warn() {
//     if (!log) return
//     log.warn.apply(log, arguments)
//   },
//   error() {
//     if (!log) return
//     log.error.apply(log, arguments)
//   },
//   setFilterMsg(msg) { // 从基础库2.7.3开始支持
//     if (!log || !log.setFilterMsg) return
//     if (typeof msg !== 'string') return
//     log.setFilterMsg(msg)
//   },
//   addFilterMsg(msg) { // 从基础库2.8.1开始支持
//     if (!log || !log.addFilterMsg) return
//     if (typeof msg !== 'string') return
//     log.addFilterMsg(msg)
//   }
// }


class MyLogManager{
    constructor(tagName){
        let log = wx.getRealtimeLogManager ? wx.getRealtimeLogManager() : null;
        if(log && tagName) {
            log = log.tag(tagName);
        }
        this.log = log;
    }
    debug() {
        if (!this.log) return
        this.log.debug.apply(this.log, arguments)
      }

      info() {
        if (!this.log) return
        this.log.info.apply(this.log, arguments)
      }

      warn() {
        if (!this.log) return
        this.log.warn.apply(this.log, arguments)
      }

      error() {
        if (!this.log) return
        this.log.error.apply(this.log, arguments)
      }

      setFilterMsg(msg) { // 从基础库2.7.3开始支持
        if (!this.log || !this.log.setFilterMsg) return
        if (typeof msg !== 'string') return
        this.log.setFilterMsg(msg)
      }

      addFilterMsg(msg) { // 从基础库2.8.1开始支持
        if (!this.log || !this.log.addFilterMsg) return
        if (typeof msg !== 'string') return
        this.log.addFilterMsg(msg)
      }
}

export default MyLogManager;

// module.exports = {
//     MyLogManager
// }
